/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.stimmzettel.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QStimmzettel extends EntityPathBase<Stimmzettel> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// CustomDataStorage
	// Gebiet
, "gebiet.anschrift"
, "gebiet.ansprechpartner"
, "gebiet.bearbeitenRolle"
, "gebiet.customDataStorage"
, "gebiet.einsehenRolle"
, "gebiet.gebietsart"
, "gebiet.uebergeordnetesGebiet"
, "gebiet.verantwortlicherMandant"
, "gebiet.wahltermin"
, "gebiet.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QStimmzettel stimmzettel = new QStimmzettel("stimmzettel");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath bemerkung = createString("bemerkung");

  public final StringPath erfasser = createString("erfasser");

  public final DateTimePath erfassungszeitpunkt = createDateTime("erfassungszeitpunkt", java.sql.Timestamp.class);

  public final EnumPath<de.ivu.elect.business.stimmzettel.entity.StimmzettelGueltigkeit> gueltigkeit = createEnum("gueltigkeit", de.ivu.elect.business.stimmzettel.entity.StimmzettelGueltigkeit.class);

  public final StringPath nummer = createString("nummer");

  public final EnumPath<de.ivu.elect.business.stimmzettel.entity.StimmzettelStatus> status = createEnum("status", de.ivu.elect.business.stimmzettel.entity.StimmzettelStatus.class);

  public final EnumPath<de.ivu.elect.business.stimmzettel.entity.StimmzettelTeam> stimmzettelTeam = createEnum("stimmzettelTeam", de.ivu.elect.business.stimmzettel.entity.StimmzettelTeam.class);

  public final NumberPath<java.lang.Long> versionsnummer = createNumber("versionsnummer", java.lang.Long.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.customdata.entity.QCustomDataStorage customDataStorage;

  public final de.ivu.elect.business.gebietsbaum.entity.QGebiet gebiet;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QStimmzettel(Class<? extends Stimmzettel> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.customDataStorage = inits.isInitialized("customDataStorage") ? new de.ivu.elect.business.customdata.entity.QCustomDataStorage(forProperty("customDataStorage"), inits.get("customDataStorage")) : null;// de.ivu.elect.business.customdata.entity.QCustomDataStorage.customDataStorage;
    this.gebiet = inits.isInitialized("gebiet") ? new de.ivu.elect.business.gebietsbaum.entity.QGebiet(forProperty("gebiet"), inits.get("gebiet")) : null;// de.ivu.elect.business.gebietsbaum.entity.QGebiet.gebiet;
  }

  public QStimmzettel(String variable) {
    this(Stimmzettel.class, forVariable(variable), INITS);
  }

  public QStimmzettel(Path<? extends Stimmzettel> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStimmzettel(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStimmzettel(PathMetadata metadata, PathInits inits) {
    this(Stimmzettel.class, metadata, inits);
  }
}
